import { registerAs, ConfigType } from '@nestjs/config'

export const nestConfig = registerAs('nest', () => ({
  port: Number(process.env.PORT) || 12400,
}))

export type NestConfig = ConfigType<typeof nestConfig>
