import { IsEmail, IsNotEmpty, IsStrongPassword } from 'class-validator'

export class UpdatePassword {
  @IsNotEmpty()
  @IsEmail()
  email: string

  @IsNotEmpty()
  verifyCode: string

  @IsNotEmpty()
  token: string

  @IsNotEmpty()
  @IsStrongPassword()
  password: string
}
